#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2025 by someone <someone@somenet.org>
#
---
# DOESNT WORK ON DEBIAN 12.
#- name: add google-chrome repository
#  deb822_repository:
#    name: google-chrome
#    types: deb
#    uris: http://dl.google.com/linux/chrome/deb/
#    suites: stable
#    components: main
#    signed_by: https://dl.google.com/linux/linux_signing_key.pub
#  tags: "online"
#  register: apt_list_changes


- name: update the repository cache
  apt:
    update_cache: yes
  tags: "online"
  when: apt_list_changes.changed


- name: install google-chrome
  apt:
    pkg:
    - google-chrome-stable
    state: present
    policy_rc_d: 101
  tags: "online"
